#ifndef QUADC_ISRSOURCE_H
#define QUADC_ISRSOURCE_H

//----------------------------------
// Includes and forward declarations
//----------------------------------
#include "cyg/hal/imb3_isrsource.h"

#if !defined(CYG_HAL_STARTUP_STUBS) && defined(CYG_HAL_MPC555)
//------------------
// Class declaration
//------------------
class QUADC_isrSource : public IMB3_isrSource
{
  public:
    typedef enum {
      QUADC_A,
      QUADC_B
    } QUADC_IDENTITY;
                       QUADC_isrSource(IMB3_isrDispatcher * a_dispatcher,
                                       unsigned char a_isrpriority_queue1,
                                       unsigned char a_isrpriority_queue2,
                                       QUADC_IDENTITY a_identity);
    virtual            ~QUADC_isrSource();

    // Overloaded virtuals from base class IMB3_isrSource
    virtual cyg_uint32 findInterruptingVector(unsigned char a_priority);
    virtual void       enableInterrupts(void);
    virtual void       disableInterrupts(void);

  private:
    unsigned char      m_priority_queue1;
    unsigned char      m_priority_queue2;
    QUADC_IDENTITY     m_identity;
};
#endif // if !defined

#endif // QUADC_ISRSOURCE_H
