#ifndef CALTYPES_H
#define CALTYPES_H

//----------------------------------
// Includes and forward declarations
//----------------------------------
#include <cyg/infra/cyg_type.h>
#include <cyg/io/can.h>
#include <cyg/io/canio.h>

//-----------------
// Type definitions
//-----------------
typedef cyg_uint16 CAN_msgid;
typedef cyg_io_handle_t can_io_handle_t;

//------------------
// Macro definitions
//------------------
#define can_io_read(_handle, _buffer, _len) \
  cyg_io_read(_handle, _buffer, _len)

#define can_io_write(_handle, _buffer, _len) \
  cyg_io_write(_handle, _buffer, _len)

#define can_io_set_config(_handle, _key, _buffer, _len) \
  cyg_io_set_config(_handle, _key, _buffer, _len)

#define can_io_get_config(_handle, _key, _buffer, _len) \
  cyg_io_get_config(_handle, _key, _buffer, _len)

#define can_io_lookup(_name, _handle) \
  cyg_io_lookup(_name, _handle)

#endif // CALTYPES_H
