#ifndef MIOS_ISRSOURCE_CXX
#define MIOS_ISRSOURCE_CXX

//----------------------------------
// Includes and forward declarations
//----------------------------------
#include "cyg/hal/mios_isrsource.h"

#if !defined(CYG_HAL_STARTUP_STUBS) && defined(CYG_HAL_MPC555)
#include "cyg/hal/imb3_isrdispatch.h"

//---------------------
// Class implementation
//---------------------
// Public constructor(s) and destructor
MIOS_isrSource::MIOS_isrSource(IMB3_isrDispatcher * a_dispatcher,
                               unsigned char a_isrpriority,
                               MIOS_isrSource::MIOS_IDENTIFICATION a_identification)
    : IMB3_isrSource(a_dispatcher),
      m_priority(a_isrpriority),
      m_identification(a_identification)
{
  a_dispatcher->attachToPriority(this, a_isrpriority);
}

// Provide and (empty) virtual destructor
MIOS_isrSource::~MIOS_isrSource()
{
}

//------------------------
// Public member functions
//------------------------
// findInterruptingVector
cyg_uint32 MIOS_isrSource::findInterruptingVector(unsigned char a_priority)
{
  return 0;
}

// enableInterrupts
void MIOS_isrSource::enableInterrupts(void)
{
}

// disableInterrupts
void MIOS_isrSource::disableInterrupts(void)
{
}
#endif // if !defined ...

#endif // MIOS_ISRSOURCE_CXX
